#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include "comm.h"

/* This clt program tries to make a TCP connection to the srv program. 
   Refer to the srv program for more info.
 */

int main(int argc, char **argv)
{
	int     sockfd, n;
	double total; /* total bytes written */
	char    buff[BUFFSZ];
	struct sockaddr_in servaddr;

	if (argc != 2) {
		printf("usage: %s <IPAddr>\n", argv[0]);
		error_quit("\n", stdout);
	}

	if ( (sockfd = socket(AF_INET, SOCK_STREAM, 0)) < 0)
		error_quit("socket error", stdout);

	bzero(&servaddr, sizeof(servaddr));
	servaddr.sin_family = AF_INET;
	servaddr.sin_port = htons(12000);
	if (inet_pton(AF_INET, argv[1], &servaddr.sin_addr) <= 0)
	{
		printf("inet_pton error for %s", argv[1]);
		error_quit("\n", stdout);
	}		

	if (connect(sockfd, (struct sockaddr *) &servaddr, sizeof(servaddr)) < 0)
		error_quit("connect error", stdout);

	strcpy(buff, "write some data to socket buff");	
	while (1) {
		if(-1 == (n = writen(sockfd, buff, sizeof(buff))) ) {
			error_quit("write to socket error, exit",stdout);
		}
		else {
			total += n;
			printf("write %d bytes, total = %fK\n", n, total/1024.0);	
		}
	}
	exit (0);
}




